gpu_neon: brand new x86 SSE2+ implementation
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
61bc6d40 42builtin_gpu_list="peops unai neon"
43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so"
4132e8ca 48drc_cache_base="no"
00a212aa 49have_armv5=""
4132e8ca 50have_armv6=""
51have_armv7=""
52have_arm_neon=""
047899a4 53have_arm_neon_asm=""
4132e8ca 54have_tslib=""
5b9aa749 55have_gles=""
5514a050 56have_c64x_dsp=""
4132e8ca 57enable_dynarec="yes"
f89fa2d9 58need_sdl="no"
955f9af0 59need_xlib="no"
cc56203b 60need_libpicofe="yes"
61need_warm="no"
5b9aa749 62CFLAGS_GLES=""
63LDLIBS_GLES=""
4132e8ca 64# these are for known platforms
65optimize_cortexa8="no"
66optimize_arm926ej="no"
67
68# hardcoded stuff
69CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 70CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 71AS="${AS-${CROSS_COMPILE}as}"
72AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 73MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 74config_mak="config.mak"
75
07c13dfd 76fail()
77{
78 echo "$@"
630b122b 79 if test -n "$DUMP_CONFIG_LOG"; then cat config.log; fi
07c13dfd 80 exit 1
81}
82
4132e8ca 83# call during arg parsing, so that cmd line can override platform defaults
84set_platform()
85{
86 platform=$1
87 case "$platform" in
88 generic)
89 ;;
90 pandora)
07c13dfd 91 sound_drivers="oss alsa"
4132e8ca 92 drc_cache_base="yes"
93 optimize_cortexa8="yes"
94 have_arm_neon="yes"
955f9af0 95 need_xlib="yes"
4132e8ca 96 ;;
97 maemo)
4132e8ca 98 drc_cache_base="yes"
99 optimize_cortexa8="yes"
100 have_arm_neon="yes"
101 ;;
102 caanoo)
07c13dfd 103 sound_drivers="oss"
4132e8ca 104 drc_cache_base="yes"
105 optimize_arm926ej="yes"
cc56203b 106 need_warm="yes"
4132e8ca 107 ;;
38c2028e 108 libretro)
07c13dfd 109 sound_drivers="libretro"
cc56203b 110 need_libpicofe="no"
38c2028e 111 ;;
4132e8ca 112 *)
07c13dfd 113 fail "unsupported platform: $platform"
4132e8ca 114 ;;
115 esac
116}
117
118for opt do
119 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
120 case "$opt" in
121 --help|-h) show_help="yes"
122 ;;
123 --platform=*) set_platform "$optarg"
124 ;;
61bc6d40 125 --gpu=*) builtin_gpu="$optarg"
126 ;;
07c13dfd 127 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 128 ;;
129 --enable-neon) have_arm_neon="yes"
130 ;;
131 --disable-neon) have_arm_neon="no"
132 ;;
133 --disable-dynarec) enable_dynarec="no"
134 ;;
135 *) echo "ERROR: unknown option $opt"; show_help="yes"
136 ;;
137 esac
138done
139
140if [ "$show_help" = "yes" ]; then
141 echo "options:"
142 echo " --help print this message"
143 echo " --platform=NAME target platform [$platform]"
144 echo " available: $platform_list"
61bc6d40 145 echo " --gpu=NAME builtin gpu plugin [guessed]"
146 echo " available: $builtin_gpu_list"
07c13dfd 147 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 148 echo " available: $sound_driver_list"
149 echo " --enable-neon"
150 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
151 echo " --disable-dynarec disable dynamic recompiler"
152 echo " (dynarec is only available and enabled on ARM)"
153 echo "influential environment variables:"
ac6575cd 154 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 155 exit 1
156fi
157
07c13dfd 158# validate selections
61bc6d40 159if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 160 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
161 fail "unsupported builtin gpu plugin: $builtin_gpu"
162 fi
61bc6d40 163fi
164
07c13dfd 165if [ "x$sound_drivers" != "x" ]; then
166 for d in $sound_drivers; do
167 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
168 fail "unsupported sound driver: $sound_driver"
169 fi
170 done
171fi
4132e8ca 172
cc56203b 173if [ "$need_libpicofe" = "yes" ]; then
174 if ! test -f "frontend/libpicofe/README"; then
175 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
176 fi
177fi
178
179if [ "$need_warm" = "yes" ]; then
180 if ! test -f "frontend/warm/README"; then
181 fail "wARM is missing, please run 'git submodule init && git submodule update'"
182 fi
183fi
184
00a212aa 185# basic compiler test
186cat > $TMPC <<EOF
187#include <zlib.h>
188int main(void) { return 0; }
189EOF
190if ! compile_binary; then
0dc1b4a9 191 fail "compiler test failed, please check config.log"
00a212aa 192fi
193
4132e8ca 194if [ -z "$ARCH" ]; then
0dc1b4a9 195 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 196fi
197
0dc1b4a9 198case "$ARCH" in
199arm*)
200 # ARM stuff
201 ARCH="arm"
202
4132e8ca 203 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 204 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
205 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
206 fi
207 if [ "$optimize_arm926ej" = "yes" ]; then
208 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
209 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
210 fi
211
212 if [ "x$have_arm_neon" = "x" ]; then
047899a4 213 # detect NEON from user-supplied cflags to enable neon code
4132e8ca 214 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
215 fi
4132e8ca 216 if [ "x$have_armv7" = "x" ]; then
00a212aa 217 if check_define HAVE_ARMV7; then
4132e8ca 218 have_armv7="yes"
00a212aa 219 have_armv6="yes"
220 have_armv5="yes"
4132e8ca 221 fi
222 fi
00a212aa 223 if [ "x$have_armv6" = "x" ]; then
224 if check_define HAVE_ARMV6; then
225 have_armv6="yes"
226 have_armv5="yes"
227 fi
228 fi
229 if [ "x$have_armv5" = "x" ]; then
230 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
231 fi
4132e8ca 232
61bc6d40 233 if [ "x$builtin_gpu" = "x" ]; then
234 if [ "$have_arm_neon" = "yes" ]; then
235 builtin_gpu="neon"
236 elif [ "$have_armv7" != "yes" ]; then
237 # pre-ARMv7 hardware is usually not fast enough for peops
238 builtin_gpu="unai"
239 else
240 builtin_gpu="peops"
241 fi
242 fi
243
e795af9e 244 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 245 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 246 fpu="neon"
4132e8ca 247 elif [ "$have_armv6" = "yes" ]; then
40cf6975 248 fpu="vfp"
4132e8ca 249 fi
40cf6975 250 if [ "x$fpu" != "x" ]; then
251 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
252 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
253 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
254 if [ "$floatabi_set_by_gcc" != "yes" ]; then
255 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
256 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
257 fi
4132e8ca 258 fi
259
9f704290 260 # must disable thumb as recompiler can't handle it
96751f36 261 if check_define __thumb__; then
9f704290 262 CFLAGS="$CFLAGS -marm"
96751f36 263 fi
00a212aa 264
265 # warn about common mistakes
266 if [ "$have_armv5" != "yes" ]; then
267 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
268 echo "Warning: compiling for ARMv4, is that really what you want?"
269 echo "You probably should specify -mcpu= or -march= like this:"
270 echo " CFLAGS=-march=armv6 ./configure ..."
271 fi
272 fi
273 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
274 echo "Warning: compiling for NEON, but not ARMv7?"
275 echo "You probably want to specify -mcpu= or -march= like this:"
276 echo " CFLAGS=-march=armv7-a ./configure ..."
277 fi
047899a4 278 have_arm_neon_asm=$have_arm_neon
0dc1b4a9 279 ;;
630b122b 280aarch64)
047899a4 281 have_arm_neon="yes"
282 have_arm_neon_asm="no"
283 if [ "x$builtin_gpu" = "x" ]; then
284 builtin_gpu="neon"
285 fi
630b122b 286 ;;
0dc1b4a9 287*)
630b122b 288 # dynarec only available on ARM
289 enable_dynarec="no"
0dc1b4a9 290 ;;
291esac
4132e8ca 292
61bc6d40 293if [ "x$builtin_gpu" = "x" ]; then
294 builtin_gpu="peops"
295fi
296
4132e8ca 297# supposedly we can avoid -fPIC on armv5 for slightly better performace?
298if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
299 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
300fi
301
38c2028e 302case "$platform" in
303generic)
f89fa2d9 304 need_sdl="yes"
38c2028e 305 ;;
306maemo)
7010034e 307 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 308 ;;
309libretro)
310 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 311 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 312 ;;
313esac
4132e8ca 314
07c13dfd 315# header/library presence tests
316check_zlib()
317{
318 cat > $TMPC <<EOF
319 #include <zlib.h>
791f6e3e 320 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 321EOF
322 compile_binary
323}
324
07c13dfd 325check_libpng()
326{
327 cat > $TMPC <<EOF
328 #include <png.h>
329 void main() { png_init_io(0, 0); }
330EOF
331 compile_binary
332}
333
334check_oss()
335{
336 cat > $TMPC <<EOF
337 #include <sys/soundcard.h>
338 #include <sys/ioctl.h>
339 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
340EOF
341 compile_binary
342}
343
344check_alsa()
345{
346 cat > $TMPC <<EOF
347 #include <alsa/asoundlib.h>
348 void main() { snd_pcm_open(0, 0, 0, 0); }
349EOF
350 compile_binary "$@"
351}
352
b68bf5c2 353check_pulseaudio()
354{
355 cat > $TMPC <<EOF
356 #include <pulse/pulseaudio.h>
357 void main() { pa_threaded_mainloop_new(); }
358EOF
359 compile_binary "$@"
360}
361
07c13dfd 362check_sdl()
363{
364 cat > $TMPC <<EOF
365 #include <SDL.h>
366 void main() { SDL_OpenAudio(0, 0); }
367EOF
368 compile_binary "$@"
369}
370
955f9af0 371check_xlib_headers()
372{
373 cat > $TMPC <<EOF
374 #include <X11/Xlib.h>
375 void *f() { return XOpenDisplay(0); }
376EOF
377 compile_object "$@"
378}
379
5514a050 380# see if we have c64_tools for TI C64x DSP
381check_c64_tools()
382{
383 cat > $TMPC <<EOF
384 #include <inc_libc64_mini.h>
385 int f() { return dsp_open(); }
386EOF
387 compile_object "$@"
388}
389
f89fa2d9 390MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 391check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 392
f89fa2d9 393MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 394check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 395
396# find what audio support we can compile
397if [ "x$sound_drivers" = "x" ]; then
398 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 399 if check_alsa -lasound; then
400 sound_drivers="$sound_drivers alsa"
401 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
402 fi
b68bf5c2 403 if check_pulseaudio -lpulse; then
404 sound_drivers="$sound_drivers pulseaudio"
405 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
406 fi
9f704290 407 if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then
f89fa2d9 408 sound_drivers="$sound_drivers sdl"
409 need_sdl="yes"
410 fi
411else
412 if echo $sound_drivers | grep -q "\<oss\>"; then
413 check_oss || fail "oss support is missing"
414 fi
415 if echo $sound_drivers | grep -q "\<alsa\>"; then
416 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
417 check_alsa || fail "please install libasound2-dev"
418 fi
b68bf5c2 419 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
420 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
421 check_pulseaudio || fail "pulseaudio support is missing"
422 fi
07c13dfd 423fi
424
9f704290 425if [ "$need_sdl" = "yes" ]; then
426 which sdl-config > /dev/null || \
427 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
f89fa2d9 428 CFLAGS="$CFLAGS `sdl-config --cflags`"
429 MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS"
9f704290 430 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 431fi
432
4132e8ca 433# check for tslib (only headers needed)
434if [ "x$have_tslib" = "x" ]; then
435 cat > $TMPC <<EOF
436 #include <tslib.h>
437 void test(struct ts_sample sample) {}
438EOF
439 if compile_object; then
440 have_tslib="yes"
441 else
442 have_tslib="no"
443 fi
444fi
445
5b9aa749 446# check for VideoCore stuff for Raspberry Pi
ad6150e0 447if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 448 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 449 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 450 if [ -f /opt/vc/lib/libbcm_host.so ]; then
451 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
452 fi
955f9af0 453 need_xlib="yes"
ad6150e0 454 VIDEOCORE="yes"
5b9aa749 455fi
456
dd4d5a35 457# check for GLES headers
458cat > $TMPC <<EOF
459#include <GLES/gl.h>
dd4d5a35 460#include <EGL/egl.h>
5b9aa749 461int main(void) {
462 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 463}
464EOF
ad6150e0
CG
465if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
466 have_gles="yes"
467 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
468elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 469 have_gles="yes"
470 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
471elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
472 have_gles="yes"
473 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 474fi
475
5514a050 476if check_c64_tools; then
477 have_c64x_dsp="yes"
478fi
479
5b9aa749 480if [ "$have_gles" = "yes" ]; then
481 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
482fi
61bc6d40 483if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
484 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
485fi
486
955f9af0 487# check for xlib (only headers needed)
488if [ "x$need_xlib" = "xyes" ]; then
489 check_xlib_headers || fail "please install libx11-dev"
490fi
491
cc376814 492sizeof_long=`check_define_val __SIZEOF_LONG__`
493if [ "x$sizeof_long" = "x4" ]; then
494 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
495fi
496
9f704290 497cat > $TMPC <<EOF
498void test(void *f, void *d) { fread(d, 1, 1, f); }
499EOF
500if compile_object -Wno-unused-result; then
501 CFLAGS="$CFLAGS -Wno-unused-result"
502fi
503
dd4d5a35 504# short plugin list for display
505for p in $plugins; do
506 p1=`basename $p`
507 plugins_short="$p1 $plugins_short"
508done
509
4132e8ca 510# set things that failed to autodetect to "no"
511test "x$have_armv6" != "x" || have_armv6="no"
512test "x$have_armv7" != "x" || have_armv7="no"
513test "x$have_arm_neon" != "x" || have_arm_neon="no"
047899a4 514test "x$have_arm_neon_asm" != "x" || have_arm_neon_asm="no"
00a212aa 515test "x$have_gles" != "x" || have_gles="no"
5514a050 516test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 517
518echo "architecture $ARCH"
519echo "platform $platform"
61bc6d40 520echo "built-in GPU $builtin_gpu"
07c13dfd 521echo "sound drivers $sound_drivers"
dd4d5a35 522echo "plugins $plugins_short"
4132e8ca 523echo "C compiler $CC"
524echo "C compiler flags $CFLAGS"
07c13dfd 525echo "libraries $MAIN_LDLIBS"
22fa3f2b 526echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 527echo "enable dynarec $enable_dynarec"
047899a4 528if [ "$ARCH" = "arm" -o "$ARCH" = "aarch64" ]; then
529 echo "enable ARM NEON $have_arm_neon"
530fi
5514a050 531if [ "$ARCH" = "arm" ]; then
532 echo "ARMv7 optimizations $have_armv7"
5514a050 533 echo "TI C64x DSP support $have_c64x_dsp"
534fi
4132e8ca 535echo "tslib support $have_tslib"
2c616080 536if [ "$platform" = "generic" ]; then
537 echo "OpenGL ES output $have_gles"
538fi
4132e8ca 539
540echo "# Automatically generated by configure" > $config_mak
541printf "# Configured with:" >> $config_mak
542printf " '%s'" "$0" "$@" >> $config_mak
543echo >> $config_mak
544
545echo "CC = $CC" >> $config_mak
ac6575cd 546echo "CXX = $CXX" >> $config_mak
4132e8ca 547echo "AS = $AS" >> $config_mak
548echo "CFLAGS += $CFLAGS" >> $config_mak
549echo "ASFLAGS += $ASFLAGS" >> $config_mak
550echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 551echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 552echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 553echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
554echo >> $config_mak
555
38c2028e 556if [ "$platform" = "libretro" ]; then
557 echo "TARGET = libretro.so" >> $config_mak
558fi
4132e8ca 559echo "ARCH = $ARCH" >> $config_mak
560echo "PLATFORM = $platform" >> $config_mak
61bc6d40 561echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 562echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
630b122b 563echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 564if [ "$have_arm_neon" = "yes" ]; then
565 echo "HAVE_NEON = 1" >> $config_mak
566fi
047899a4 567if [ "$have_arm_neon_asm" = "yes" ]; then
568 echo "HAVE_NEON_ASM = 1" >> $config_mak
569fi
4132e8ca 570if [ "$have_tslib" = "yes" ]; then
571 echo "HAVE_TSLIB = 1" >> $config_mak
572fi
5b9aa749 573if [ "$have_gles" = "yes" ]; then
574 echo "HAVE_GLES = 1" >> $config_mak
575 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
576 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
577fi
4132e8ca 578if [ "$enable_dynarec" = "yes" ]; then
d659b045 579 echo "DYNAREC = ari64" >> $config_mak
4132e8ca 580fi
581if [ "$drc_cache_base" = "yes" ]; then
630b122b 582 echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak
4132e8ca 583fi
5514a050 584if [ "$have_c64x_dsp" = "yes" ]; then
585 echo "HAVE_C64_TOOLS = 1" >> $config_mak
586fi
4132e8ca 587
2e6189bc 588# use pandora's skin (for now)
589test -e skin || ln -s frontend/pandora/skin skin
590
4132e8ca 591# vim:shiftwidth=2:expandtab